Linux Kernel rds_rdma_pages numeric error

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
8.8$0-$5k0.00

A vulnerability, which was classified as critical, has been found in Linux Kernel (Operating System) (version unknown). Affected by this issue is the function rds_rdma_pages. The manipulation with an unknown input leads to a numeric error vulnerability. Using CWE to declare the problem leads to CWE-189. Impacted is confidentiality, integrity, and availability. CVE summarizes:

Integer overflow in the rds_rdma_pages function in net/rds/rdma.c in the Linux kernel allows local users to cause a denial of service (crash) and possibly execute arbitrary code via a crafted iovec struct in a Reliable Datagram Sockets (RDS) request, which triggers a buffer overflow.

The weakness was published 01/10/2011 by Thomas Pollet (Website). The advisory is shared for download at xforce.iss.net. This vulnerability is handled as CVE-2010-3865 since 10/08/2010. The exploitation is known to be easy. The attack needs to be approached locally. No form of authentication is required for exploitation. There are known technical details, but no exploit is available. The current price for an exploit might be approx. USD $0-$5k (estimation calculated on 10/11/2021).

It is declared as proof-of-concept. The vulnerability scanner Nessus provides a plugin with the ID 52528 (Ubuntu 10.04 LTS : linux-ec2 vulnerabilities (USN-1080-2)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Ubuntu Local Security Checks. The commercial vulnerability scanner Qualys is able to test this issue with plugin 165620 (SUSE Enterprise Linux Security Update Linux Kernel (SUSE-SA:2010:057)).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

The vulnerability is also documented in the databases at X-Force (62881) and Tenable (52528).

Productinfo

Type

Vendor

Name

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 9.3
VulDB Meta Temp Score: 8.8

VulDB Base Score: 9.3
VulDB Temp Score: 8.8
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Numeric error
CWE: CWE-189
CAPEC: 🔍
ATT&CK: 🔍

Local: Yes
Remote: No

Availability: 🔍
Status: Proof-of-Concept

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 52528
Nessus Name: Ubuntu 10.04 LTS : linux-ec2 vulnerabilities (USN-1080-2)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Port: 🔍

OpenVAS ID: 880516
OpenVAS Name: CentOS Update for kernel CESA-2011:0004 centos5 i386
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔍

Timelineinfo

10/08/2010 🔍
10/29/2010 +21 days 🔍
10/29/2010 +0 days 🔍
10/31/2010 +2 days 🔍
01/03/2011 +64 days 🔍
01/10/2011 +7 days 🔍
01/10/2011 +0 days 🔍
03/03/2011 +52 days 🔍
03/19/2015 +1477 days 🔍
10/12/2021 +2399 days 🔍

Sourcesinfo

Vendor: kernel.org

Advisory: USN-1080-2
Researcher: Thomas Pollet
Status: Not defined
Confirmation: 🔍

CVE: CVE-2010-3865 (🔍)
OVAL: 🔍
IAVM: 🔍

X-Force: 62881
Vulnerability Center: 27967 - Linux Kernel 2.6.37 and Prior Local Arbitrary Code Execution Vulnerability, High
SecurityFocus: 44549 - Linux Kernel Reliable Datagram Sockets (RDS) Protocol Local Integer Overflow Vulnerability
Secunia: 42778 - SUSE update for kernel, Moderately Critical
Vupen: ADV-2011-0012

Entryinfo

Created: 03/19/2015 11:27 PM
Updated: 10/12/2021 07:24 AM
Changes: 03/19/2015 11:27 PM (66), 03/08/2017 09:31 PM (15), 10/11/2021 11:34 AM (3), 10/11/2021 11:41 AM (2), 10/12/2021 07:19 AM (1), 10/12/2021 07:24 AM (1)
Complete: 🔍
Cache ID: 44:64D:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Are you interested in using VulDB?

Download the whitepaper to learn more about our service!